<template>
  <div class="flex items-center justify-between p-2 rounded-md">
    <div class="flex items-center">
      <img
        :alt="`${name}'s avatar`"
        class="flex-shrink-0 object-cover object-center w-16 h-16 mr-4 bg-gray-100 rounded-full"
        :src="avatarUrl"
      />
      <div class="flex flex-col">
        <span class="dark:text-gray-300 prose text-gray-700">
          {{ name }}
        </span>
        <span class="dark:text-gray-300 prose text-gray-700">{{ desc }}</span>
      </div>
    </div>
    <div class="flex items-center mr-4 space-x-4">
      <a
        :href="`https://twitter.com/${twitter}`"
        target="_blank"
        rel="noopener noreferrer"
        title="Twitter"
        name="Twitter"
        class="dark:text-gray-300 hover:text-primary-500 inline-flex text-gray-700"
      >
        <IconTwitter class="w-5 h-5" />
      </a>
      <a
        :href="githubUrl"
        target="_blank"
        rel="noopener noreferrer"
        title="Github"
        name="Github"
        class="dark:text-gray-300 hover:text-primary-500 inline-flex text-gray-700"
      >
        <IconGithub class="w-5 h-5" />
      </a>
      <a
        v-if="gitlabUrl"
        :href="gitlabUrl"
        target="_blank"
        rel="noopener noreferrer"
        title="Gitlab"
        name="Gitlab"
        class="dark:text-gray-300 hover:text-primary-500 inline-flex text-gray-700"
      >
        <IconGitlab class="w-5 h-5" />
      </a>
      <a
        v-if="linkedinUrl"
        :href="linkedinUrl"
        target="_blank"
        rel="noopener noreferrer"
        title="Discord"
        name="Discord"
        class="dark:text-gray-300 hover:text-primary-500 inline-flex text-gray-700"
      >
        <IconLinkedin class="w-5 h-5" />
      </a>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    name: String,
    desc: String,
    linkedinUrl: String,
    githubUrl: String,
    gitlabUrl: String,
    twitter: String,
    avatarUrl: String,
  },
}
</script>
